commit:     ace547a13a5b37ff3ccee0d508a0d818f931f178
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu May 15 11:48:34 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu May 15 11:50:01 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ace547a1

dev-build/autoconf: fix src_prepare for live

... at least when patching .m4. Copy what we do for automake.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-build/autoconf/autoconf-9999.ebuild | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/dev-build/autoconf/autoconf-9999.ebuild 
b/dev-build/autoconf/autoconf-9999.ebuild
index 2ee45bd6b68e..0e1f6dc5b470 100644
--- a/dev-build/autoconf/autoconf-9999.ebuild
+++ b/dev-build/autoconf/autoconf-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -64,7 +64,11 @@ src_prepare() {
                local ver=$(./build-aux/git-version-gen .tarball-version)
                echo "${ver}" > .tarball-version || die
 
-               autoreconf -f -i || die
+               export WANT_AUTOCONF=2.5
+               export WANT_AUTOMAKE=1.17
+               # Don't try wrapping the autotools - this thing runs as it tends
+               # to be a bit esoteric, and the script does `set -e` itself.
+               ./bootstrap || die
        fi
 
        # usr/bin/libtool is provided by binutils-apple, need gnu libtool

Reply via email to